# FTXUI: WindowOptions Struct Reference

Loading...
Searching...
No Matches
WindowOptions Struct Reference

`#include <component_options.hpp>`

## Public Attributes

Component | inner
| The component wrapped by this window.
ConstStringRef | title = ""
| The title displayed by this window.
Ref< int > | left = 0
| The left side position of the window.
Ref< int > | top = 0
| The top side position of the window.
Ref< int > | width = 20
| The width of the window.
Ref< int > | height = 10
| The height of the window.
Ref< bool > | resize_left = true
| Can the left side be resized?
Ref< bool > | resize_right = true
| Can the right side be resized?
Ref< bool > | resize_top = true
| Can the top side be resized?
Ref< bool > | resize_down = true
| Can the down side be resized?
std::function< Element(const WindowRenderState &)> | render
| An optional function to customize how the window looks like:

## Detailed Description

Definition at line 252 of file component_options.hpp.

## Member Data Documentation

## inner

Component inner

The component wrapped by this window.

Definition at line 253 of file component_options.hpp.

## title

ConstStringRef title = ""

The title displayed by this window.

Definition at line 254 of file component_options.hpp.

## left

Ref<int> left = 0

The left side position of the window.

Definition at line 256 of file component_options.hpp.

## top

Ref<int> top = 0

The top side position of the window.

Definition at line 257 of file component_options.hpp.

## width

Ref<int> width = 20

The width of the window.

Definition at line 258 of file component_options.hpp.

## height

Ref<int> height = 10

The height of the window.

Definition at line 259 of file component_options.hpp.

## resize_left

Ref<bool> resize_left = true

Can the left side be resized?

Definition at line 261 of file component_options.hpp.

## resize_right

Ref<bool> resize_right = true

Can the right side be resized?

Definition at line 262 of file component_options.hpp.

## resize_top

Ref<bool> resize_top = true

Can the top side be resized?

Definition at line 263 of file component_options.hpp.

## resize_down

Ref<bool> resize_down = true

Can the down side be resized?

Definition at line 264 of file component_options.hpp.

## render

std::function<Element(const WindowRenderState&)> render

An optional function to customize how the window looks like:

Definition at line 267 of file component_options.hpp.

The documentation for this struct was generated from the following file:

- component_options.hpp